curl --request POST \
--url https://api.veryfront.com/providers/{provider}/folders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parent_id": "<string>",
"name": "<string>",
"project_reference": "<string>",
"project_id": "<string>",
"projectId": "<string>"
}
'import requests
url = "https://api.veryfront.com/providers/{provider}/folders"
payload = {
"parent_id": "<string>",
"name": "<string>",
"project_reference": "<string>",
"project_id": "<string>",
"projectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parent_id: '<string>',
name: '<string>',
project_reference: '<string>',
project_id: '<string>',
projectId: '<string>'
})
};
fetch('https://api.veryfront.com/providers/{provider}/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"path": "<string>",
"mime_type": "<string>",
"size": 123,
"is_folder": true,
"modified_at": "<string>",
"thumbnail": "<string>"
}{
"error": "<string>",
"connectUrl": "<string>"
}Create provider folder
Creates a folder in an external storage provider.
Authorizations
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
External storage provider identifier, such as onedrive, sharepoint, or google_drive.
Body
Provider folder ID where the folder should be created.
Folder name to create in the provider.
Project UUID or slug for project-scoped provider credentials.
Deprecated project ID or slug alias. Use project_reference.
Deprecated camelCase project ID or slug alias. Use project_reference.
Response
Created folder
Provider-specific file or folder ID.
File or folder name.
Provider path for the file or folder.
MIME type or folder for folders.
File size in bytes. Folders may report 0.
Whether this item is a folder.
Provider modified timestamp.
Optional provider thumbnail URL.